<?php
/**
 * RoleEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\SellerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Seller Auth
 *
 * Авторизация пользователей продавцов
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\SellerAuthClient\Dto;
use \Ensi\SellerAuthClient\ObjectSerializer;

/**
 * RoleEnum Class Doc Comment
 *
 * @category Class
 * @description Роли. Расшифровка значений:   * &#x60;1&#x60; - Оператор продавца   * &#x60;2&#x60; - Администратор продавца
 * @package  Ensi\SellerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class RoleEnum
{
    
    /** Оператор продавца */
    public const SELLER_OPERATOR = 1;
    
    /** Администратор продавца */
    public const SELLER_ADMIN = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::SELLER_OPERATOR,
            self::SELLER_ADMIN,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::SELLER_OPERATOR => 'Оператор продавца',
            self::SELLER_ADMIN => 'Администратор продавца',
        ];
    }
}


